Skip to main content

List Available (Detachable) Security Groups

Lists the security groups that are attached to the load balancer's VM and can be detached. The vm_id path parameter is the load balancer's node_detail.vm_id.

GET/api/v1/security_group/{vm_id}/detach/

Path parameters

  • vm_idPathintegerrequired

    The vm_id field from the node_detail object in the List Load Balancers response.

    • required
    • must be a valid VM ID
    example23456

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the load balancer.

    • must be a non-empty string
    example{{location}}

Responses

200Successful response
object
codeinteger
example200
dataarray

Security groups attached to the VM that are available to detach (same item shape as List Attached Security Groups).

errorsobject
messagestring
exampleSuccess